:root {
  --header-navlink-color: hsl(0, 0%, 30%);
}

body>header {
  height: 10vh;
  flex: 0 0 auto;
  flex-direction: row;
  background-color: whitesmoke;
  padding: 1ch 10%;
  box-sizing: border-box;
  justify-content: space-between;
  align-items: center;
}

body>header>a.h-logo {
  max-width: 150px;
  max-height: 100%;
}

body>header>a.h-logo>img {
  max-width: 100%;
  max-height: 100%;
  object-fit: contain;
}

body>header>nav {
  flex-flow: row nowrap;
}

body>header>nav * {
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

body>header>nav>a {
  margin-left: 2ch;
  color: var(--header-navlink-color);
  text-decoration: none;
}

header>nav>a>i {
  max-height: 1em;
}

header>nav>a>i::before {
  max-width: 100%;
  max-height: 100%;
  object-fit: contain;
  margin-right: 0.5ch;
  color: var(--header-navlink-color);
  fill: var(--header-navlink-color);
}

/* Icons for specific header links */

header>nav>a#h-nav-serv>i::before {
  content: url("/public/rsc/img/icon-checklist.svg");
}

header>nav>a#h-nav-cont>i::before {
  content: url("/public/rsc/img/icon-phone.svg");
}

header>nav>a#h-nav-regi>i::before {
  content: url("/public/rsc/img/icon-personadd.svg");
}

header>nav>a#h-nav-logi>i::before {
  content: url("/public/rsc/img/icon-personcheck.svg");
}

header>nav>a.disabled {
  display: none;
}

/* Banner */

body > header + div.banner {
  flex: 0 0;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}